export default {
    'code[class*="language-"]': {
        color: "#F2F2F2",
        fontFamily:
            '"Consolas", "Bitstream Vera Sans Mono", "Courier New", Courier, monospace',
        direction: "ltr",
        textAlign: "left",
        whiteSpace: "pre",
        wordSpacing: "normal",
        wordBreak: "normal",
        fontSize: "13px",
        lineHeight: "16px",
        MozTabSize: "4",
        OTabSize: "4",
        tabSize: "4",
        WebkitHyphens: "none",
        MozHyphens: "none",
        msHyphens: "none",
        hyphens: "none",
    },
    'pre[class*="language-"]': {
        color: "#F2F2F2",
        fontFamily:
            '"Consolas", "Bitstream Vera Sans Mono", "Courier New", Courier, monospace',
        direction: "ltr",
        textAlign: "left",
        whiteSpace: "pre",
        wordSpacing: "normal",
        wordBreak: "normal",
        fontSize: "13px",
        lineHeight: "16px",
        MozTabSize: "4",
        OTabSize: "4",
        tabSize: "4",
        WebkitHyphens: "none",
        MozHyphens: "none",
        msHyphens: "none",
        hyphens: "none",
        padding: "12px",
        margin: "6px 0",
        overflow: "auto",
        backgroundColor: "#1A1A1A",
    },
    'pre[class*="language-"]::-moz-selection': {
        background: "#C1DEF1",
    },
    'code[class*="language-"]::-moz-selection': {
        background: "#C1DEF1",
    },
    'pre[class*="language-"]::selection': {
        background: "#C1DEF1",
    },
    'code[class*="language-"]::selection': {
        background: "#C1DEF1",
    },
    ':not(pre) > code[class*="language-"]': {
        padding: "2px",
        paddingTop: "1px",
        paddingBottom: "1px",
        background: "#F8F8F8",
        border: "1px solid #DDDDDD",
    },
    comment: {
        color: "#6A9955",
        fontStyle: "italic",
    },
    prolog: {
        color: "#008000",
        fontStyle: "italic",
    },
    doctype: {
        color: "#008000",
        fontStyle: "italic",
    },
    cdata: {
        color: "#008000",
        fontStyle: "italic",
    },
    namespace: {
        opacity: ".7",
    },
    string: {
        color: "#ce9178",
    },
    punctuation: {
        color: "#569CD6",
    },
    operator: {
        color: "#F2F2F2",
    },
    url: {
        color: "#36ACAA",
    },
    symbol: {
        color: "#36ACAA",
    },
    number: {
        color: "#36ACAA",
    },
    boolean: {
        color: "#36ACAA",
    },
    variable: {
        color: "#36ACAA",
    },
    constant: {
        color: "#36ACAA",
    },
    inserted: {
        color: "#36ACAA",
    },
    atrule: {
        color: "#ce9178",
    },
    keyword: {
        color: "#ce9178",
    },
    "attr-value": {
        color: "#ce9178",
    },
    ".language-autohotkey .token.selector": {
        color: "#ce9178",
    },
    ".language-json .token.boolean": {
        color: "#ce9178",
    },
    ".language-json .token.number": {
        color: "#ce9178",
    },
    'code[class*="language-css"]': {
        color: "#ce9178",
    },
    function: {
        color: "#F2F2F2",
    },
    deleted: {
        color: "#9A050F",
    },
    ".language-autohotkey .token.tag": {
        color: "#9A050F",
    },
    selector: {
        color: "#569cd6",
    },
    ".language-autohotkey .token.keyword": {
        color: "#00009F",
    },
    important: {
        fontWeight: "bold",
    },
    bold: {
        fontWeight: "bold",
    },
    italic: {
        fontStyle: "italic",
    },
    "class-name": {
        color: "#2B91AF",
    },
    ".language-json .token.property": {
        color: "#2B91AF",
    },
    tag: {
        color: "#569cd6",
    },
    "attr-name": {
        color: "#9cdcfe",
    },
    property: {
        color: "#ce9178",
    },
    regex: {
        color: "#ce9178",
    },
    entity: {
        color: "#ce9178",
    },
    "directive.tag  .tag": {
        background: "#FFFF00",
        color: "#569CD6",
    },
    ".line-numbers .line-numbers-rows": {
        borderRightColor: "#A5A5A5",
    },
    ".line-numbers-rows > span:before": {
        color: "#2B91AF",
    },
    ".line-highlight": {
        background:
            "linear-gradient(to right, rgba(193, 222, 241, 0.2) 70%, rgba(221, 222, 241, 0))",
    },
};
